# MatDestroyMatrices

Destroys a set of matrices obtained with MatGetSubMatrices().

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatDestroyMatrices(PetscInt n,Mat *mat[])

Collective on Mat

### Input Parameters

| n | - the number of local matrices
| mat | - the matrices (note that this is a pointer to the array of matrices, just to match the calling sequence of MatGetSubMatrices())

Notes: Frees not only the matrices, but also the array that contains the matrices

### See Also

MatGetSubMatrices()

Level:advanced
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages